Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.

Body

application/json

Partial update of the caller's organization settings. Omitted fields are unchanged.

allow_personal_api_keys
boolean | null

Whether members can create new personal API keys. Null is not accepted.

allow_service_account_api_keys
boolean | null

Whether new team and organization API keys can be created. Null is not accepted.

Response

200 - application/json

The caller's organization.

org_id
string
required

Unique identifier for the organization

created_at
string<date-time>
required

Time the organization was created in ISO 8601 format

allow_personal_api_keys
boolean
required

Whether members can create new personal API keys. Existing keys keep working.

allow_service_account_api_keys
boolean
required

Whether new team and organization API keys can be created. Existing keys keep working.

name
string | null

Display name of the organization

aws_assume_role
AwsAssumeRoleV1 · object | null

AWS AssumeRole trust-policy inputs; null while the method is not enabled for the organization